> For the complete documentation index, see [llms.txt](https://docs.bugsplat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bugsplat.com/introduction/development/web-services/api/company.md).

# Company

Get or set information about your company in BugSplat for Billing purposes.

## Get Company

<mark style="color:blue;">`GET`</mark> `https://app.bugsplat.com/api/company`

Returns information about the queried company by companyId.

#### Query Parameters

| Name      | Type   | Description                                                                                |
| --------- | ------ | ------------------------------------------------------------------------------------------ |
| companyId | number | ID of the company to query. Required if `database` is not provided.                        |
| database  | string | Name of the database to resolve the company from. Required if `companyId` is not provided. |

{% tabs %}
{% tab title="200 " %}

```json
{
  companyId: 545,
  companyName: "BugSplat Public Testing",
  subscriptionId: 1732,
  birthdate: "0000-00-00 00:00:00",
  mfaRequired: false,
  upgradePageShown: false,
  licensedLimitExceededCount: 0,
  licensedLimitExceededDate: null,
}
```

{% endtab %}
{% endtabs %}

### Curl Example

```bash
curl --location 'https://app.bugsplat.com/api/company?database=fred' \
--header 'Cookie: user=fred%40bugsplat.com; PHPSESSID=4g3pr9rdtehoddac9ohrt1qrc3cehg54; xsrf-token=ajKqRF12QJJ3IlLFdCEH0RhMjpuD5scz86mul3zdjTYA'
```

## Update Company

<mark style="color:orange;">`PUT`</mark> `https://app.bugsplat.com/api/company`

Set the name of the specified company by companyId.

#### Query Parameters

| Name      | Type   | Description                                                                                |
| --------- | ------ | ------------------------------------------------------------------------------------------ |
| companyId | number | ID of the company to update. Required if `database` is not provided.                       |
| database  | string | Name of the database to resolve the company from. Required if `companyId` is not provided. |

#### Request Body

| Name                                          | Type   | Description                            |
| --------------------------------------------- | ------ | -------------------------------------- |
| companyName<mark style="color:red;">\*</mark> | string | Updated name for the specified company |

{% tabs %}
{% tab title="200 " %}

```json
true
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bugsplat.com/introduction/development/web-services/api/company.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
